Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/social-post-ideas/schedule-series

Schedule series

Schedules a content series' posts starting from a given date. Returns the scheduled posts.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Headers

NameTypeRequiredDescription
Synup-VersionstringrequiredAPI version date (YYYY-MM-DD).

Body

NameTypeRequiredDescription
seriesIdstringrequired
startDatestringrequiredSeries start date (YYYY-MM-DD).

Request

Request
curl -X POST 'https://api.synup.com/api/v4/social-post-ideas/schedule-series' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "seriesId": "3a1f...",
  "startDate": "2026-05-01"
}'

Responses

StatusDescription
200Successful response
401Unauthorized - Invalid or missing API key
Example response (generated from the schema)
{
  "data": {
    "scheduleSeries": {
      "success": true,
      "scheduledPosts": [
        {}
      ],
      "error": {
        "message": "string",
        "code": "string",
        "contextInfo": [
          {
            "key": "string",
            "value": "string"
          }
        ]
      }
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.scheduleSeriesobjectoptional
data.scheduleSeries.successbooleanoptional
data.scheduleSeries.scheduledPostsarray of objectoptionalThe scheduled posts (see Post idea for the full shape).
data.scheduleSeries.errorobjectoptional
data.scheduleSeries.error.messagestringoptional
data.scheduleSeries.error.codestringoptional
data.scheduleSeries.error.contextInfoarray of objectoptional
data.scheduleSeries.error.contextInfo[].keystringoptional
data.scheduleSeries.error.contextInfo[].valuestringoptional